/*
 * zGo2ProfileCircleZ.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILECIRCLEZ_H_INCLUDED
#define LMITECH_GO2PROFILECIRCLEZ_H_INCLUDED

#include <Go2Measurements/Go2ProfileCircleZ.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfileCircleZ Class 
 */

typedef struct Go2ProfileCircleZClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileArea area; 
} Go2ProfileCircleZClass; 

GO2_EXPORT(Go2Status) Go2ProfileCircleZ_Construct(Go2ProfileCircleZ* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfileCircleZ_Init(Go2ProfileCircleZ measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfileCircleZ_VRelease(Go2ProfileCircleZ measurement); 
GO2_EXPORT(Go2Status) Go2ProfileCircleZ_VRead(Go2ProfileCircleZ measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfileCircleZ_VWrite(Go2ProfileCircleZ measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
